.panel.mr-state-widget.panel-default
  - if @merge_request.source_project.ci_service && @commits.any?
    .panel-heading
      = render "projects/merge_requests/show/mr_ci"
  .panel-body
    - if @merge_request.open?
      - if @merge_request.source_branch_exists? && @merge_request.target_branch_exists?
        = render "projects/merge_requests/show/mr_accept"
      - else
        = render "projects/merge_requests/show/no_accept"

    - if @merge_request.closed?
      %h4
        #{t('merge_request_section.closed_by')} #{link_to_member(@project, @merge_request.closed_event.author, avatar: false)}
        #{time_ago_with_tooltip(@merge_request.closed_event.created_at)}
      %p= t('merge_request_section.changes_not_merged_into_branch')

    - if @merge_request.merged?
      %h4
        #{t('merge_request_section.merged_by')} #{link_to_member(@project, @merge_request.merge_event.author, avatar: false)}
        #{time_ago_with_tooltip(@merge_request.merge_event.created_at)}
      = render "projects/merge_requests/show/remove_source_branch"

    - unless @commits.any?
      %h4= t('merge_request_section.nothing_to_merge')
      %p
        = t('merge_request_section.nothing_to_merge_from')
        %span.label-branch #{@merge_request.source_branch}
        = t('merge_request_section.into')
        %span.label-branch #{@merge_request.target_branch}
        %br
        = t('merge_request_section.different_branches')

  - if !@closes_issues.empty? && @merge_request.open?
    .panel-footer
      %span
        %i.icon-ok
        #{t('merge_request_section.accepting_merge_request')} #{@closes_issues.size == 1 ? 'issue' : 'issues'}
        = succeed '.' do
          != gfm(issues_sentence(@closes_issues))

